%undefine _package_note_flags
%global debug_package %{nil}

%global srcname ptime

Name:           ocaml-%{srcname}
Version:        1.0.0
Release:        1%{?dist}
Summary:        POSIX time support in OCaml
License:        ISC
URL:            https://erratique.ch/software/ptime/doc/index
Source0:        https://erratique.ch/software/ptime/releases/ptime-%{version}.tbz

BuildRequires:  ocaml >= 4.08.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-topkg

%description
Ptime has platform independent support for POSIX time. It provides a type to
represent a well-defined range of POSIX timestamps with picosecond precision,
conversion with date-time values, conversion with RFC 3339 timestamps and pretty
printing to a human-readable, locale-independent representation.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n ptime-%{version}

%build
ocaml ./pkg/pkg.ml build --dev-pkg true

%install
mkdir -p %{buildroot}%{_libdir}/ocaml/%{srcname}
cp -p _build/src/*.{a,cma,cmi,cmt,cmti,cmx,cmxa,cmxs,mli} _build/pkg/META \
   _build/opam %{buildroot}%{_libdir}/ocaml/%{srcname}

%files
%license LICENSE.md
%doc README.md
%dir %{_libdir}/ocaml/%{srcname}/
%{_libdir}/ocaml/%{srcname}/META
%{_libdir}/ocaml/%{srcname}/*.cma
%{_libdir}/ocaml/%{srcname}/*.cmi
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{srcname}/*.cmxs
%endif

%files         devel
%{_libdir}/ocaml/%{srcname}/opam
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{srcname}/*.a
%{_libdir}/ocaml/%{srcname}/*.cmx
%{_libdir}/ocaml/%{srcname}/*.cmxa
%endif
%{_libdir}/ocaml/%{srcname}/*.cmt
%{_libdir}/ocaml/%{srcname}/*.cmti
%{_libdir}/ocaml/%{srcname}/*.mli

%changelog
* Mon Jun 27 2022 Marián Konček <marian.koncek@mailbox.org> - 1.0.0-1
- Initial build
